# Uses of Interface
com.sun.source.tree.SynchronizedTree

Packages that use SynchronizedTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of SynchronizedTree in com.sun.source.tree

  Methods in com.sun.source.tree with parameters of type SynchronizedTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitSynchronized(SynchronizedTree node, P p)`
  Visits a `SynchronizedTree` node.

- ## Uses of SynchronizedTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type SynchronizedTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitSynchronized(SynchronizedTree node, P p)`
  Visits a `SynchronizedTree` node.
  `R`
  TreeScanner.`visitSynchronized(SynchronizedTree node, P p)`
  Visits a `SynchronizedTree` node.